import requests

def get_proxies(token):
    url = f"http://uu-proxy.com/api/get_proxies?id={token}&size=10&schemes=http,socks4,socks5&support_https=true&restime_within_ms=5000&format=txt2_2"
    try:
        response = requests.get(url)
        response.raise_for_status()  # 检查请求是否成功
        proxies = response.text.splitlines()  # 将返回的文本按行分割成列表
        return proxies
    except requests.RequestException as e:
        print(f"请求出错: {e}")
        return []

def save_proxies_to_file(proxies):
    with open('proxies_list.txt', 'w', encoding="utf-8") as file:
        for proxy in proxies:
            file.write(proxy + '\n')

if __name__ == "__main__":
    token = "123"  # 这里可以替换为实际的token
    proxies = get_proxies(token)
    if proxies:
        save_proxies_to_file(proxies)
        print("代理已保存至proxies_list.txt")
    else:
        print("未获取到代理")
